Loading...
Searching...
No Matches
QGpgME::QGpgMEVerifyDetachedJob Class Reference
Inheritance diagram for QGpgME::QGpgMEVerifyDetachedJob:
[legend]
Collaboration diagram for QGpgME::QGpgMEVerifyDetachedJob:
[legend]

## Public Member Functions

| QGpgMEVerifyDetachedJob (GpgME::Context *context)
GpgME::Error | start (const QByteArray &signature, const QByteArray &signedData) override
void | start (const std::shared_ptr< QIODevice > &signature, const std::shared_ptr< QIODevice > &signedData) override
GpgME::VerificationResult | exec (const QByteArray &signature, const QByteArray &signedData) override
Public Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< VerifyDetachedJob, QGpgMEVerifyDetachedJobPrivate, std::tuple< GpgME::VerificationResult, QString, GpgME::Error > >
void | run ()
Public Member Functions inherited from QGpgME::VerifyDetachedJob
void | setProcessAllSignatures (bool processAll)
bool | processAllSignatures () const
void | setSignatureFile (const QString &path)
QString | signatureFile () const
void | setSignedFile (const QString &path)
QString | signedFile () const
Public Member Functions inherited from QGpgME::Job
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Additional Inherited Members

Public Types inherited from QGpgME::_detail::ThreadedJobMixin< VerifyDetachedJob, QGpgMEVerifyDetachedJobPrivate, std::tuple< GpgME::VerificationResult, QString, GpgME::Error > >
typedef ThreadedJobMixin< VerifyDetachedJob, QGpgMEVerifyDetachedJobPrivate, std::tuple< GpgME::VerificationResult, QString, GpgME::Error > > | mixin_type
typedef std::tuple< GpgME::VerificationResult, QString, GpgME::Error > | result_type
Signals inherited from QGpgME::VerifyDetachedJob
void | result (const GpgME::VerificationResult &result, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< VerifyDetachedJob, QGpgMEVerifyDetachedJobPrivate, std::tuple< GpgME::VerificationResult, QString, GpgME::Error > >
| ThreadedJobMixin (GpgME::Context *ctx)
void | lateInitialization ()
void | setWorkerFunction (const T_binder &func)
GpgME::Context * | context () const
virtual void | resultHook (const result_type &)
void | slotFinished ()
void | slotCancel () override
QString | auditLogAsHtml () const override
GpgME::Error | auditLogError () const override
void | showProgress (const char *what, int type, int current, int total) override
Protected Member Functions inherited from QGpgME::VerifyDetachedJob
| VerifyDetachedJob (std::unique_ptr< VerifyDetachedJobPrivate >, QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Member Function Documentation

## exec()

GpgME::VerificationResult QGpgME::QGpgMEVerifyDetachedJob::exec | ( | const QByteArray & | signature,
|  | const QByteArray & | signedData )

override virtual

Implements QGpgME::VerifyDetachedJob.

## start() [1/2]

Error QGpgMEVerifyDetachedJob::start | ( | const QByteArray & | signature,
|  | const QByteArray & | signedData )

override virtual

Starts the verification operation. signature contains the signature data, while signedData contains the data over which the signature was made.

Implements QGpgME::VerifyDetachedJob.

## start() [2/2]

void QGpgMEVerifyDetachedJob::start | ( | const std::shared_ptr< QIODevice > & | signature,
|  | const std::shared_ptr< QIODevice > & | signedData )

override virtual

Implements QGpgME::VerifyDetachedJob.

The documentation for this class was generated from the following files:

- qgpgmeverifydetachedjob.h
- qgpgmeverifydetachedjob.cpp